package ru.dbotthepony.mc.otm.capability;

import net.minecraftforge.common.capabilities.Capability;
import net.minecraftforge.common.capabilities.CapabilityInject;

import java.math.BigDecimal;
import java.math.MathContext;
import java.math.RoundingMode;

public class MatteryCapability {
	@CapabilityInject(IMatteryEnergyStorage.class)
	public static Capability<IMatteryEnergyStorage> ENERGY = null;

	@CapabilityInject(IAndroidCapability.class)
	public static Capability<IAndroidCapability> ANDROID = null;

	public static final MathContext ROUND_RULES = new MathContext(0, RoundingMode.HALF_UP);

	public static final BigDecimal INT_MAX_VALUE = new BigDecimal(Integer.MAX_VALUE);
	public static final BigDecimal INT_MIN_VALUE = new BigDecimal(Integer.MIN_VALUE);

	public static final BigDecimal LONG_MAX_VALUE = new BigDecimal(Long.MAX_VALUE);
	public static final BigDecimal LONG_MIN_VALUE = new BigDecimal(Long.MIN_VALUE);
}
