package ru.dbotthepony.mc.otm.menu;

import net.minecraft.world.entity.player.Inventory;
import net.minecraft.world.entity.player.Player;
import net.minecraft.world.inventory.AbstractContainerMenu;
import ru.dbotthepony.mc.otm.OverdriveThatMatters;
import ru.dbotthepony.mc.otm.block.entity.BlockEntityAndroidStation;

public class AndroidStationMenu extends AbstractContainerMenu {
	private BlockEntityAndroidStation tile;
	private Inventory inventory;

	public AndroidStationMenu(int containerID, Inventory inventory) {
		super(OverdriveThatMatters.ANDROID_STATION_MENU_TYPE, containerID);
		new Exception().printStackTrace();
		this.inventory = inventory;
	}

	public AndroidStationMenu(int containerID, BlockEntityAndroidStation tile) {
		super(OverdriveThatMatters.ANDROID_STATION_MENU_TYPE, containerID);
		this.tile = tile;
	}

	@Override
	public boolean stillValid(Player p_38874_) {
		return !tile.isRemoved();
	}
}
